LibreOffice: DriverManager Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
List of all members
DriverManager Service Referencepublished
Inheritance diagram for DriverManager:

## Additional Inherited Members
Exported Interfaces inherited from XDriverManager2
interface | XDriverManager
| is the basic interface for establishing database connections.
interface | XDriverAccess
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration on all installed / registered drivers.
Public Member Functions inherited from XDriverManager
XConnection | getConnection ([in]string url) raises (SQLException)
| attempts to establish a connection to the given database URL.
XConnection | getConnectionWithInfo ([in]string url, [in]sequence< com::sun::star::beans::PropertyValue > info) raises (SQLException)
| attempts to establish a connection to the given database URL.
void | setLoginTimeout ([in]long seconds)
| sets the maximum time in seconds that a driver will wait while attempting to connect to a database.
long | getLoginTimeout ()
| gets the maximum time in seconds that a driver can wait when attempting to login to a database.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XDriverAccess
XDriver | getDriverByURL ([in]string url)
| get a driver which accepts a given url.
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()

## Detailed Description

Developers Guide
  Database Access - Connecting Using the DriverManager and a Database URL

The documentation for this service was generated from the following file:

- com/sun/star/sdbc/DriverManager.idl